Subject: Re: bug#7253: comment-dwim should easily allow mid-line comments

From: [email-masked]
Date: Thu, 21 Oct 2010 12:00:09 +0800

>>>>> "SM" == Stefan Monnier <[email-masked]> writes:
>> Sometimes I want to make a comment in the middle of a line, not at the
>> end, but whenever I hit M-;, prefix or not, comment-dwim insists on
>> putting it at the end of line, at least in html-helper mode.
>> emacs-version "24.0.50.1".

SM> How would you tell Emacs that your intention is to make it in
SM> the middle?

Excellent question. One would think adding a prefix argument to M-;
would be good... but that probably already is taken... and wait, M-; is
bound to different commands in different modes... Yuck. E.g., as I write
this it is bound to comment-region.